---
search:
  tags:
    - Orders
    - GET
seo:
  description: >-
    Returns full details for a single order. Requires admin scope. Reference for
    the GET /shops/{shop_id}/orders/{code} endpoint in the Bolder API v1.
sidebar:
  label: Order details
  badge: GET
title: Order details
type: openapi-operation
---
Returns full details for a single order. Requires `admin` scope.

`GET /shops/{shop_id}/orders/{code}`

**Responses**

- `200` — Order resource
- `404` — Resource not found

Response example, 200:

```json
{
  "id": 0,
  "shop_id": 0,
  "code": "string",
  "status": "checkout",
  "net_total": 0,
  "total": 0,
  "shipping_total": 0,
  "shipping_description": "string",
  "discount_total": 0,
  "tracking_code": "string",
  "courier_name": "string",
  "total_weight_in_grams": 0,
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z",
  "pending_on": "2019-08-24T14:15:22Z",
  "closed_on": "2019-08-24T14:15:22Z",
  "shipped_on": "2019-08-24T14:15:22Z",
  "fulfillment": {
    "fulfillment_method": "shipping"
  },
  "payment_info": {
    "type": "string",
    "name": "string",
    "auth_code": "string",
    "transaction_id": "string"
  },
  "_links": {},
  "_embedded": {
    "contact": {
      "id": 0,
      "name": "string",
      "email": "string",
      "phone_number": "string"
    },
    "address": {
      "street": "string",
      "street_2": "string",
      "locality_name": "string",
      "region_name": "string",
      "country_name": "string",
      "country_code": "string",
      "postal_code": "string",
      "lat_long": "string"
    },
    "line_items": [
      {
        "product_id": 0,
        "product_title": "string",
        "unit_price": 0,
        "units": 0,
        "discount_total": 0,
        "net_total": 0,
        "total": 0,
        "variant_id": 0,
        "variant_title": "string",
        "variant_sku": "string",
        "weight_in_grams": 0
      }
    ],
    "promotion": {
      "name": "string",
      "discount": 0,
      "discount_type": "$",
      "free_shipping": true
    },
    "discounts": [
      {}
    ]
  }
}
```
